/*
 * mpgedit application code header file
 *
 * Copyright (C) 2001 Adam Bernstein
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307  USA.
 */

/*
 * SccsId[] = "$Id: mp3_header.h,v 1.7 2003/09/11 06:14:11 number6 Exp $"
 */

#ifndef _MP3_HEADER_H
#define _MP3_HEADER_H


#include "mp3time.h"
#include "mpegstat.h"


typedef struct _mpegfio_iocallbacks
{
    void *ctx;
    void (*printf)(void *, int, int, const char *, ...);
    int  (*getch)(void *);
    void *mpctx;
    int  cb_called;
} mpegfio_iocallbacks;


typedef struct _play_cb_struct
{
    void  *playctx;
    void  *volctx;
    char  *filename;
    mpegfio_iocallbacks *ttyio;
    long  esec;
    long  emsec;
    long  tlast;
    long  frame_count;
} play_cb_struct;

void usage(int longhelp);

int mp3header_index_create(char *filename,
                           int (*callback)(void *,   /* callback_data */
                                           long,     /* sec */
                                           long,     /* msec */
                                           long,     /* frame_count */
                                           char *),  /* index filename */
                           void *callback_data,
                           mpeg_file_stats *rstats,
                           mpeg_time *rtime);

#endif
