#ifndef _PORTABILITY_H
#define _PORTABILITY_H

#if !defined(_WIN32) 

/* UNIX Section */

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#if defined(__hpux)
#include <dl.h>
#else
#include <dlfcn.h>
#endif
#define _DSOEXPORT
#define _CDECL
#define _MAIN(x)

#else

/* WIN32 Section */

#include <windows.h>
#include <io.h>
#include "win32/getopt.h"

/* Why are these defines needed, but others, like strdup and fopen are not ?? */
#ifndef access
#define access _access
#endif
#ifndef sleep
#define sleep(z)  _sleep((z)*1000)
#endif

/* Defines needed for access() */
#ifndef F_OK
#define F_OK 00
#endif
#ifndef W_OK
#define W_OK 02
#endif
#ifndef R_OK
#define R_OK 04
#endif
#ifndef S_ISREG
#define S_ISREG(x) (((x) & _S_IFREG) == _S_IFREG)
#endif
#define _DSOEXPORT __declspec(dllexport)
#define _CDECL     __cdecl
#ifndef PATH_MAX
#define PATH_MAX 1024
#endif

#ifdef _DEBUG
# define _MAIN(x)
#else
# include <stdlib.h>
# define _MAIN(prog) \
int APIENTRY WinMain(HINSTANCE inst, HINSTANCE prev, LPSTR cmd, int showhow) \
{ return (prog)(__argc, __argv); }
#endif

#endif

#ifdef _USE_CURSES_H
#if defined(__linux)
#include <ncurses.h>
#else
#include <curses.h>
#endif
#endif /* _USE_CURSES_H */

#endif /* _PORTABILITY_H */
